using ASHermed.SinoInterface.Api.ContractModel.App;
using System;
using System.Collections.Generic;
using System.Text;

namespace ASHermed.SinoInterface.Api.IRepository
{
    public interface IFileRepository
    {
        /// <summary>
        /// 获取文件
        /// </summary>
        /// <param name="Ids"></param>
        /// <returns></returns>
        List<Sys_File> GetFiles(List<int> Ids);
        /// <summary>
        /// 获取文件，不返回Content,Thumbnail
        /// </summary>
        /// <param name="Ids"></param>
        /// <returns></returns>
        List<Sys_File> GetFilesNoContent(List<int> Ids);
        /// <summary>
        /// 添加文件
        /// </summary>
        /// <param name="model"></param>
        /// <returns></returns>
        int InsertFile(Sys_File model);
        /// <summary>
        /// 执行SQL
        /// </summary>
        /// <param name="sql"></param>
        /// <returns></returns>
        int PerformSql(string sql);
        List<Pub_Pat_Info> GetPatList();
        int UpdatePat(List<Pub_Pat_Info> ls);
        /// <summary>
        /// 获取文件，返回Content
        /// </summary>
        /// <param name="Ids"></param>
        /// <returns></returns>
        List<Sys_File> GetFilesForContent(List<int> Ids);
        /// <summary>
        /// 获取文件，返回Thumbnail
        /// </summary>
        /// <param name="Ids"></param>
        /// <returns></returns>
        List<Sys_File> GetFilesForThumbnail(List<int> Ids);
        Sys_File GetFilesContentForId(int id);
    }
}
